import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

public class DrumComponent extends Actor
{
    private String key;
    private String sound;
    private String upImage;
    private String downImage;
    private boolean down;
    
    /**
     * Create the drum component and set the sound file that has the note for this key.
     */
    public DrumComponent(String key, String soundFile, String img1, String img2)
    {
        sound = soundFile;
        this.key = key;
        upImage = img1;
        downImage = img2;
        down = false;
    }

    public void act()
    {
        if(!down && Greenfoot.isKeyDown(key)) {
            play();
            setImage(downImage);
            down = true;
        }
        if(down && !Greenfoot.isKeyDown(key)) {
            setImage(upImage);
            down = false;
        }
                
    }
    
    public void play()
    {
        Greenfoot.playSound(sound);
    }

}